Package: groovy.inspect.swingui

## [Groovy] Class GeneratedBytecodeAwareGroovyClassLoader

- groovy.inspect.swingui.GeneratedBytecodeAwareGroovyClassLoader

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GeneratedBytecodeAwareGroovyClassLoader (GroovyClassLoader parent)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `clearBytecodeTable()`
    `` | `protected ClassCollector` | `createCollector(org.codehaus.groovy.control.CompilationUnit unit, org.codehaus.groovy.control.SourceUnit su)`
    `` | `byte[]` | `getBytecode(String className)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyClassLoader` | `loadClass, loadClass, loadClass, defineClass, defineClass, close, addURL, clearCache, getResourceLoader, isShouldRecompile, generateScriptName, setShouldRecompile, setResourceLoader, parseClass, parseClass, parseClass, parseClass, parseClass, parseClass, parseClass, getLoadedClasses, addClasspath, getResourceAsStream, newInstance, newInstance, findResource, findResources, getURLs, getSystemClassLoader, getResource, getSystemResource, getSystemResourceAsStream, clearAssertionStatus, getParent, getResources, getSystemResources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class URLClassLoader` | `getResourceAsStream, newInstance, newInstance, findResource, findResources, close, getURLs, loadClass, getSystemClassLoader, getResource, getSystemResource, getSystemResourceAsStream, clearAssertionStatus, getParent, getResources, getSystemResources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### GeneratedBytecodeAwareGroovyClassLoader(GroovyClassLoader parent)

  - ### Method Detail

    - #### void clearBytecodeTable()

    - #### @Override protected ClassCollector createCollector(org.codehaus.groovy.control.CompilationUnit unit, org.codehaus.groovy.control.SourceUnit su)

    - #### byte[] getBytecode(String className)